Create a knowledge base document from URL

Create a new knowledge base document from a URL

Required scope: convai:write

Body
required
application/json
  • url
    Type: string
    required

    The URL to fetch content from

  • name
    Type: string
Responses
  • application/json
  • application/json
  • application/json
Request Example for post/knowledge-base/url
curl https://api.simwood.com/convai/v1/knowledge-base/url \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "name": "",
  "url": ""
}'
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "string",
  "type": "url",
  "size_bytes": 1,
  "source_url": null,
  "created_at": "2026-07-18T10:26:52.866Z",
  "updated_at": "2026-07-18T10:26:52.866Z"
}